Name: tla
Version: 1.2
# % define subver pre2
Release: alt6
License: GPL
Group: Development/Other
Url: http://gnuarch.org/
Summary: GNU Arch -- revision control system
Source: %name-%version.tar.gz
Patch: tla-1.2-texi.diff
Patch1: tla-1.2-alt-nolibneon.patch
Patch2: tla-1.2-dustin-sftpfdleak.patch
Patch3: tla-1.2-alt-texinfo.patch

Packager: Alexey Voinov <voins@altlinux.ru>

# Automatically added by buildreq on Fri May 14 2004
BuildRequires: libneon-devel

%description
Gnu arch is a modern and remarkable revision control system. It helps
programmers to coordinate and share their changes to a project's source code.
It helps project managers to organize, track, and control multi-branch
development. It supports both centralized and distributed projects.

%package htmldocs
Summary:	GNU Arch documentation in HTML format
Group:		Development/Other

%description htmldocs
GNU Arch documentation in HTML format.

%package psdocs
Summary:	GNU Arch documentation in PostScript format
Group:		Development/Other

%description psdocs
GNU Arch documentation in PostScript format.

%prep
%setup -q -n %name-%version
%patch -p1

rm -rf src/tla/libneon
%patch1 -p1

pushd src/tla
%patch2 -p1
popd
%patch3 -p1


%build
cd src
mkdir build
cd build
../configure --prefix=%_prefix 
make
cd ../docs-tla/texi
makeinfo arch.texi
cd ../../..

%install
mkdir -p %buildroot%_bindir
install -m 577 src/build/tla/tla/tla %buildroot%_bindir
mkdir -p %buildroot%_infodir
install -m 644 src/docs-tla/texi/arch.info %buildroot%_infodir

%post
%install_info arch.info

%preun
%uninstall_info arch.info

%files
%doc src/docs-tla/HOWTO.crypto
%_bindir/*
%_infodir/*

%files htmldocs
%doc src/docs-tla/html/

%files psdocs
%doc src/docs-tla/ps/arch.ps

%changelog
* Tue Jun 22 2004 Alexey Voinov <voins@altlinux.ru> 1.2-alt6
- packager, description & summary updated
- fd leak in sftp fixed [thanks to dustin@spy.net,
    http://bugs.gnuarch.org/cgi-bin/bugreport.cgi?bug=67]
- added dir entry for info docs
- html & ps docs moved into separate subpackages

* Fri May 14 2004 Alexey Voinov <voins@altlinux.ru> 1.2-alt5
- rebuilt with external libneon

* Tue Apr 13 2004 Alexey Voinov <voins@altlinux.ru> 1.2-alt4
- fix for CAN-2004-0179 in libneon
- explicit packager tag added

* Sat Feb 28 2004 Ott Alex <ott@altlinux.ru> 1.2-alt3
- Release new stable version

* Tue Feb 03 2004 Ott Alex <ott@altlinux.ru> 1.2-alt2.pre2
- Fix Url

* Sat Jan 31 2004 Ott Alex <ott@altlinux.ru> 1.2-alt1.pre2
- Initial build for ALTLinux

